Package com.ocient.jdbc.proto

# Interface PlanProtocol.IncrementingIntOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.IncrementingIntOperator`, `PlanProtocol.IncrementingIntOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.IncrementingIntOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getEnd()` | `int32 end = 2;`
`int` | `getNullCount()` | if null count is N, and the column is nullable, every Nth value will be null (e.g.
`int` | `getStart()` | `int32 start = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getStart

int getStart()
`int32 start = 1;`

### getEnd

int getEnd()
`int32 end = 2;`

### getNullCount

int getNullCount()

     if null count is N, and the column is nullable, every Nth
     value will be null (e.g. if null_count is 4, the operator
     will produce NULL, 1, 2, 3, NULL, 5, 6, 7, NULL...)
     If null count is negative, every Nth value will be NOT null
     (e.g. if null_count is -4 the operator will produce
     0, NULL, NULL, NULL, 4, NULL, NULL, NULL, 8...)

`int32 nullCount = 3;`